# ConsecutiveUsePowerMultiplierAttr | pokemon-rogue-battle
Documentation for pokemon-rogue-battle

# Class ConsecutiveUsePowerMultiplierAttr`Abstract`

Base class defining all `Move` Attributes

#### Abstract

#### See

`apply`

#### Hierarchy (view full)

- MovePowerMultiplierAttr
  - ConsecutiveUsePowerMultiplierAttr
    - ConsecutiveUseDoublePowerAttr
    - ConsecutiveUseMultiBasePowerAttr

- Defined in src/data/move.ts:2773

#####
Index

### Constructors

constructor

### Properties

selfTarget

### Methods

apply
getCondition
getFailedText
getMultiplier
getTargetBenefitScore
getUserBenefitScore

## Constructors

### constructor

- new ConsecutiveUsePowerMultiplierAttr(limit, resetOnFail, resetOnLimit?, ...comboMoves): ConsecutiveUsePowerMultiplierAttr

- #### Parameters

  - limit: number
  - resetOnFail: boolean
  - `Optional` resetOnLimit: boolean
  - `Rest` ...comboMoves: Moves []

  #### Returns ConsecutiveUsePowerMultiplierAttr

  Overrides MovePowerMultiplierAttr.constructor

  - Defined in src/data/move.ts:2774

## Properties

### selfTarget

selfTarget: boolean

Should this `Move` target the user?

Inherited from MovePowerMultiplierAttr.selfTarget

- Defined in src/data/move.ts:736

## Methods

### apply

- apply(user, target, move, args): boolean

- Applies move attributes

  #### Parameters

  - user: default

    `Pokemon` using the move

  - target: default

    `Pokemon` target of the move

  - move: default

    `Move` with this attribute

  - args: any[]

    Set of unique arguments needed by this attribute

  #### Returns boolean

  true if application of the ability succeeds

  #### See

  applyMoveAttrsInternal

  Inherited from MovePowerMultiplierAttr.apply

  - Defined in src/data/move.ts:2701

### getCondition

- getCondition(): MoveCondition | MoveConditionFunc

- #### Returns MoveCondition | MoveConditionFunc

  the `MoveCondition` or MoveConditionFunc for this `Move`

  Inherited from MovePowerMultiplierAttr.getCondition

  - Defined in src/data/move.ts:760

### getFailedText

- getFailedText(user, target, move, cancelled): string

- #### Parameters

  - user: default

    `Pokemon` using the move

  - target: default

    `Pokemon` target of the move

  - move: default

    `Move` with this attribute

  - cancelled: BooleanHolder

    `Utils.BooleanHolder` which stores if the move should fail

  #### Returns string

  the string representing failure of this `Move`

  Inherited from MovePowerMultiplierAttr.getFailedText

  - Defined in src/data/move.ts:772

### `Abstract` getMultiplier

- getMultiplier(count): number

- #### Parameters

  - count: number

  #### Returns number

  - Defined in src/data/move.ts:2795

### getTargetBenefitScore

- getTargetBenefitScore(user, target, move): number

- Used by the Enemy AI to rank an attack based on a given target

  #### Parameters

  - user: default
  - target: default
  - move: default

  #### Returns number

  #### See

  `EnemyPokemon.getNextMove`

  Inherited from MovePowerMultiplierAttr.getTargetBenefitScore

  - Defined in src/data/move.ts:790

### getUserBenefitScore

- getUserBenefitScore(user, target, move): number

- Used by the Enemy AI to rank an attack based on a given user

  #### Parameters

  - user: default
  - target: default
  - move: default

  #### Returns number

  #### See

  `EnemyPokemon.getNextMove`

  Inherited from MovePowerMultiplierAttr.getUserBenefitScore

  - Defined in src/data/move.ts:781